# frozen_string_literal: true

module Sequel::Plugins::Units
  module ClassMethods
    def value_with_unit(method_name, scalar: nil, unit: nil, inverse_unit: nil)
      define_method method_name do |in_unit: nil|
        _generate_units(
          scalar || "#{method_name}_scalar".to_sym,
          unit || "#{method_name}_unit".to_sym,
          inverse_unit,
          in_unit
        )
      end
    end
  end
end
